Skip to main content
GET
/
v1
/
project
/
{project_id}
프로젝트 상세
curl --request GET \
  --url https://openapi.pluuug.com/v1/project/{project_id} \
  --header 'X-API-Key: <api-key>' \
  --header 'X-Signature: <api-key>'
{
  "id": 123,
  "title": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "contract": {
    "id": 123,
    "title": "<string>",
    "amount": 123,
    "type": "I",
    "status": "P",
    "startDate": "2023-12-25",
    "endDate": "2023-12-25"
  },
  "status": "U",
  "symbolColor": "<string>",
  "startDate": "2023-12-25",
  "endDate": "2023-12-25",
  "actualEndDate": "2023-12-25",
  "isHidden": true
}

Authorizations

X-API-Key
string
header
required
X-Signature
string
header
required

HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다. 서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

Path Parameters

project_id
integer
required

Response

200 - application/json
id
integer
required
title
string
required

프로젝트 제목

Maximum string length: 128
created
string<date-time>
required

생성일시

contract
object

계약

status
enum<string>

상태 (U: 예정됨, I: 진행 중, A: 추가 기간, E: 종료됨)

  • U - 예정됨
  • I - 진행 중
  • A - 추가 기간
  • E - 종료됨
Available options:
U,
I,
A,
E
symbolColor
string

상징색

Maximum string length: 32
startDate
string<date> | null

시작 날짜

endDate
string<date> | null

종료 날짜

actualEndDate
string<date> | null

실제 종료 날짜

isHidden
boolean

숨김 여부